Bug 14885 - "4.9.1.1. Exception interface object [[Call]] method" does not match browsers
Summary: "4.9.1.1. Exception interface object [[Call]] method" does not match browsers
Status: CLOSED WONTFIX
Alias: None
Product: WebAppsWG
Classification: Unclassified
Component: WebIDL (show other bugs)
Version: unspecified
Hardware: All All
: P2 normal
Target Milestone: ---
Assignee: Cameron McCormack
QA Contact: public-webapps-bugzilla
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-20 16:45 UTC by Aryeh Gregor
Modified: 2011-12-27 19:36 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aryeh Gregor 2011-11-20 16:45:27 UTC
Browsers all throw when you do DOMException() (tested: IE9, Firefox 11a1, Chrome 17 dev, Opera 12.00).  The exception interface object is not a function.  Is this section deliberately different from how browsers behave, or is it an error?
Comment 1 Travis Leithead [MSFT] 2011-11-21 17:51:50 UTC
This was a fairly recent change to WebIDL--you can't expect all browsers to immediately switch their implementations ;-)

I thought this was a deliberate decision to better align with ECMAScript for the long term.
Comment 2 Brendan Eich 2011-11-21 19:38:35 UTC
(In reply to comment #1)
> This was a fairly recent change to WebIDL--you can't expect all browsers to
> immediately switch their implementations ;-)
> 
> I thought this was a deliberate decision to better align with ECMAScript for
> the long term.

Yes, that's what I recall too.

/be
Comment 3 Aryeh Gregor 2011-11-21 19:49:01 UTC
I'm fine with that.  Then this bug should be marked WONTFIX, and I'll write test cases per spec that all browsers fail.  I'm just file any discrepancies I find as possible spec bugs, since if all browsers agree on behavior then usually that's what we want to spec.  I suggest that notes be added to the spec when it's known that the behavior disagrees with all browsers, so that it's clear that those parts of the spec are deliberate proposed changes from the status quo.  They can be removed once we have a major browser shipping with the change.
Comment 4 Cameron McCormack 2011-12-09 06:09:31 UTC
Yes, this should be WONTFIX.  Adding a note to the spec about being deliberately different from all existing implementations here would make me want to do it for all features, and that's probably a bit of a time sink.
Comment 5 Aryeh Gregor 2011-12-27 19:36:46 UTC
Okay with me.